# -sa (set Archive name mode) switch

Specifies Archive name mode.

#### Syntax

    -sa[a | e | s]

Switch | Description
--- | ---
-saa | Always add archive type extension.
-sae | Use exact name specified in command.
-sas | Add extension only if specified name has no extension. It's default option.

#### Examples

      7z a arc 1.txt

creates arc.7z

      7z a arc.spec 1.txt

creates arc.spec

      7z a arc 1.txt -sae

creates arc

      7z a file.pdf file.pdf -saa -tzip

creates file.pdf.zip

#### Commands that can be used with this switch

a (Add),